Index: asp3_gr_sakura/trunk/arch/rx630_gcc/rx630_kernel_impl.c
===================================================================
--- asp3_gr_sakura/trunk/arch/rx630_gcc/rx630_kernel_impl.c	(revision 317)
+++ asp3_gr_sakura/trunk/arch/rx630_gcc/rx630_kernel_impl.c	(revision 318)
@@ -7,47 +7,32 @@
  *  Copyright (C) 2013 by Mitsuhiro Matsuura
  * 
- *  ä¸è¨èä½æ¨©è
-ã¯ï¼ä»¥ä¸ã®(1)ï½(4)ã®æ¡ä»¶ãæºããå ´åã«éãï¼æ¬ã½ããã¦ã§
- *  ã¢ï¼æ¬ã½ããã¦ã§ã¢ãæ¹å¤ãããã®ãå«ãï¼ä»¥ä¸åãï¼ãä½¿ç¨ã»è¤è£½ã»æ¹
- *  å¤ã»åé
-å¸ï¼ä»¥ä¸ï¼å©ç¨ã¨å¼ã¶ï¼ãããã¨ãç¡åã§è¨±è«¾ããï¼
- *  (1) æ¬ã½ããã¦ã§ã¢ãã½ã¼ã¹ã³ã¼ãã®å½¢ã§å©ç¨ããå ´åã«ã¯ï¼ä¸è¨ã®èä½
- *      æ¨©è¡¨ç¤ºï¼ãã®å©ç¨æ¡ä»¶ããã³ä¸è¨ã®ç¡ä¿è¨¼è¦å®ãï¼ãã®ã¾ã¾ã®å½¢ã§ã½ã¼
- *      ã¹ã³ã¼ãä¸­ã«å«ã¾ãã¦ãããã¨ï¼
- *  (2) æ¬ã½ããã¦ã§ã¢ãï¼ã©ã¤ãã©ãªå½¢å¼ãªã©ï¼ä»ã®ã½ããã¦ã§ã¢éçºã«ä½¿
- *      ç¨ã§ããå½¢ã§åé
-å¸ããå ´åã«ã¯ï¼åé
-å¸ã«ä¼´ããã­ã¥ã¡ã³ãï¼å©ç¨
- *      è
-ããã¥ã¢ã«ãªã©ï¼ã«ï¼ä¸è¨ã®èä½æ¨©è¡¨ç¤ºï¼ãã®å©ç¨æ¡ä»¶ããã³ä¸è¨
- *      ã®ç¡ä¿è¨¼è¦å®ãæ²è¼ãããã¨ï¼
- *  (3) æ¬ã½ããã¦ã§ã¢ãï¼æ©å¨ã«çµã¿è¾¼ããªã©ï¼ä»ã®ã½ããã¦ã§ã¢éçºã«ä½¿
- *      ç¨ã§ããªãå½¢ã§åé
-å¸ããå ´åã«ã¯ï¼æ¬¡ã®ããããã®æ¡ä»¶ãæºããã
- *      ã¨ï¼
- *    (a) åé
-å¸ã«ä¼´ããã­ã¥ã¡ã³ãï¼å©ç¨è
-ããã¥ã¢ã«ãªã©ï¼ã«ï¼ä¸è¨ã®è
- *        ä½æ¨©è¡¨ç¤ºï¼ãã®å©ç¨æ¡ä»¶ããã³ä¸è¨ã®ç¡ä¿è¨¼è¦å®ãæ²è¼ãããã¨ï¼
- *    (b) åé
-å¸ã®å½¢æ
-ãï¼å¥ã«å®ããæ¹æ³ã«ãã£ã¦ï¼TOPPERSãã­ã¸ã§ã¯ãã«
- *        å ±åãããã¨ï¼
- *  (4) æ¬ã½ããã¦ã§ã¢ã®å©ç¨ã«ããç´æ¥çã¾ãã¯éæ¥çã«çãããããªãæ
- *      å®³ãããï¼ä¸è¨èä½æ¨©è
-ããã³TOPPERSãã­ã¸ã§ã¯ããå
-è²¬ãããã¨ï¼
- *      ã¾ãï¼æ¬ã½ããã¦ã§ã¢ã®ã¦ã¼ã¶ã¾ãã¯ã¨ã³ãã¦ã¼ã¶ããã®ãããªãç
- *      ç±ã«åºã¥ãè«æ±ãããï¼ä¸è¨èä½æ¨©è
-ããã³TOPPERSãã­ã¸ã§ã¯ãã
- *      å
-è²¬ãããã¨ï¼
+ *  上記著作権者は，以下の(1)～(4)の条件を満たす場合に限り，本ソフトウェ
+ *  ア（本ソフトウェアを改変したものを含む．以下同じ）を使用・複製・改
+ *  変・再配布（以下，利用と呼ぶ）することを無償で許諾する．
+ *  (1) 本ソフトウェアをソースコードの形で利用する場合には，上記の著作
+ *      権表示，この利用条件および下記の無保証規定が，そのままの形でソー
+ *      スコード中に含まれていること．
+ *  (2) 本ソフトウェアを，ライブラリ形式など，他のソフトウェア開発に使
+ *      用できる形で再配布する場合には，再配布に伴うドキュメント（利用
+ *      者マニュアルなど）に，上記の著作権表示，この利用条件および下記
+ *      の無保証規定を掲載すること．
+ *  (3) 本ソフトウェアを，機器に組み込むなど，他のソフトウェア開発に使
+ *      用できない形で再配布する場合には，次のいずれかの条件を満たすこ
+ *      と．
+ *    (a) 再配布に伴うドキュメント（利用者マニュアルなど）に，上記の著
+ *        作権表示，この利用条件および下記の無保証規定を掲載すること．
+ *    (b) 再配布の形態を，別に定める方法によって，TOPPERSプロジェクトに
+ *        報告すること．
+ *  (4) 本ソフトウェアの利用により直接的または間接的に生じるいかなる損
+ *      害からも，上記著作権者およびTOPPERSプロジェクトを免責すること．
+ *      また，本ソフトウェアのユーザまたはエンドユーザからのいかなる理
+ *      由に基づく請求からも，上記著作権者およびTOPPERSプロジェクトを
+ *      免責すること．
  * 
- *  æ¬ã½ããã¦ã§ã¢ã¯ï¼ç¡ä¿è¨¼ã§æä¾ããã¦ãããã®ã§ããï¼ä¸è¨èä½æ¨©è
-ã
- *  ãã³TOPPERSãã­ã¸ã§ã¯ãã¯ï¼æ¬ã½ããã¦ã§ã¢ã«é¢ãã¦ï¼ç¹å®ã®ä½¿ç¨ç®ç
- *  ã«å¯¾ããé©åæ§ãå«ãã¦ï¼ãããªãä¿è¨¼ãè¡ããªãï¼ã¾ãï¼æ¬ã½ããã¦ã§
- *  ã¢ã®å©ç¨ã«ããç´æ¥çã¾ãã¯éæ¥çã«çãããããªãæå®³ã«é¢ãã¦ãï¼ã
- *  ã®è²¬ä»»ãè² ããªãï¼
+ *  本ソフトウェアは，無保証で提供されているものである．上記著作権者お
+ *  よびTOPPERSプロジェクトは，本ソフトウェアに関して，特定の使用目的
+ *  に対する適合性も含めて，いかなる保証も行わない．また，本ソフトウェ
+ *  アの利用により直接的または間接的に生じたいかなる損害に関しても，そ
+ *  の責任を負わない．
  * 
  *  @(#) $Id$
@@ -55,5 +40,5 @@
 
 /*
- *		ãã­ã»ããµä¾å­ã¢ã¸ã¥ã¼ã«ï¼RX630ç¨ï¼
+ *		プロセッサ依存モジュール（RX630用）
  */
 
@@ -62,39 +47,39 @@
 
 /*
- *  å²è¾¼ã¿è¦å ãã©ã¤ãªãªãã£ã¬ã¸ã¹ã¿ã¢ãã¬ã¹ãã¼ãã«
+ *  割込み要因プライオリティレジスタアドレステーブル
  */
 volatile uint8_t __evenaccess * const ipr_reg_addr[ INHNO_MAX ] = {
-	NULL,							/* No.0  äºç´ */
-	NULL,							/* No.1  äºç´ */
-	NULL,							/* No.2  äºç´ */
-	NULL,							/* No.3  äºç´ */
-	NULL,							/* No.4  äºç´ */
-	NULL,							/* No.5  äºç´ */
-	NULL,							/* No.6  äºç´ */
-	NULL,							/* No.7  äºç´ */
-	NULL,							/* No.8  äºç´ */
-	NULL,							/* No.9  äºç´ */
-	NULL,							/* No.10  äºç´ */
-	NULL,							/* No.11  äºç´ */
-	NULL,							/* No.12  äºç´ */
-	NULL,							/* No.13  äºç´ */
-	NULL,							/* No.14  äºç´ */
-	NULL,							/* No.15  äºç´ */
-	ICU_IPR000_ADDR,				/* No.16  ãã¹ã¨ã©ã¼ BUSERR */
-	NULL,							/* No.17  äºç´ */
-	NULL,							/* No.18  äºç´ */
-	NULL,							/* No.19  äºç´ */
-	NULL,							/* No.20  äºç´ */
+	NULL,							/* No.0  予約 */
+	NULL,							/* No.1  予約 */
+	NULL,							/* No.2  予約 */
+	NULL,							/* No.3  予約 */
+	NULL,							/* No.4  予約 */
+	NULL,							/* No.5  予約 */
+	NULL,							/* No.6  予約 */
+	NULL,							/* No.7  予約 */
+	NULL,							/* No.8  予約 */
+	NULL,							/* No.9  予約 */
+	NULL,							/* No.10  予約 */
+	NULL,							/* No.11  予約 */
+	NULL,							/* No.12  予約 */
+	NULL,							/* No.13  予約 */
+	NULL,							/* No.14  予約 */
+	NULL,							/* No.15  予約 */
+	ICU_IPR000_ADDR,				/* No.16  バスエラー BUSERR */
+	NULL,							/* No.17  予約 */
+	NULL,							/* No.18  予約 */
+	NULL,							/* No.19  予約 */
+	NULL,							/* No.20  予約 */
 	ICU_IPR001_ADDR,				/* No.21  FCU FIFERR */
-	NULL,							/* No.22  äºç´ */
+	NULL,							/* No.22  予約 */
 	ICU_IPR002_ADDR,				/* No.23  FCU FRDYI */
-	NULL,							/* No.24  äºç´ */
-	NULL,							/* No.25  äºç´ */
-	NULL,							/* No.26  äºç´ */
+	NULL,							/* No.24  予約 */
+	NULL,							/* No.25  予約 */
+	NULL,							/* No.26  予約 */
 	ICU_IPR003_ADDR,				/* No.27  SWINT */
-	ICU_IPR004_ADDR,				/* No.28  CMTã¦ããã0 CMT0 */
-	ICU_IPR005_ADDR,				/* No.29  CMTã¦ããã0 CMT1 */
-	ICU_IPR006_ADDR,				/* No.30  CMTã¦ããã1 CMT2 */
-	ICU_IPR007_ADDR,				/* No.31  CMTã¦ããã1 CMT3 */
+	ICU_IPR004_ADDR,				/* No.28  CMTユニット0 CMT0 */
+	ICU_IPR005_ADDR,				/* No.29  CMTユニット0 CMT1 */
+	ICU_IPR006_ADDR,				/* No.30  CMTユニット1 CMT2 */
+	ICU_IPR007_ADDR,				/* No.31  CMTユニット1 CMT3 */
 	ICU_IPR032_ADDR,				/* No.32  ETHER */
 	ICU_IPR033_ADDR,				/* No.33  USB0 D0FIFO0 */
@@ -125,50 +110,50 @@
 	ICU_IPR056_ADDR, 				/* No.58  CAN RXM2 */
 	ICU_IPR056_ADDR, 				/* No.59  CAN TXM2 */
-	NULL,							/* No.60  äºç´ */
-	NULL,							/* No.61  äºç´ */
+	NULL,							/* No.60  予約 */
+	NULL,							/* No.61  予約 */
 	ICU_IPR062_ADDR,			 	/* No.62  RTC PRD */
-	NULL,							/* No.63  äºç´ */
-	ICU_IPR064_ADDR,				/* No.64  å¤é¨ç«¯å­ IRQ0 */
-	ICU_IPR065_ADDR,				/* No.65  å¤é¨ç«¯å­ IRQ1 */
-	ICU_IPR066_ADDR,				/* No.66  å¤é¨ç«¯å­ IRQ2 */
-	ICU_IPR067_ADDR,				/* No.67  å¤é¨ç«¯å­ IRQ3 */
-	ICU_IPR068_ADDR,				/* No.68  å¤é¨ç«¯å­ IRQ4 */
-	ICU_IPR069_ADDR,				/* No.69  å¤é¨ç«¯å­ IRQ5 */
-	ICU_IPR070_ADDR,				/* No.70  å¤é¨ç«¯å­ IRQ6 */
-	ICU_IPR071_ADDR,				/* No.71  å¤é¨ç«¯å­ IRQ7 */
-	ICU_IPR072_ADDR,				/* No.72  å¤é¨ç«¯å­ IRQ8 */
-	ICU_IPR073_ADDR,				/* No.73  å¤é¨ç«¯å­ IRQ9 */
-	ICU_IPR074_ADDR,				/* No.74  å¤é¨ç«¯å­ IRQ10 */
-	ICU_IPR075_ADDR,				/* No.75  å¤é¨ç«¯å­ IRQ11 */
-	ICU_IPR076_ADDR,				/* No.76  å¤é¨ç«¯å­ IRQ12 */
-	ICU_IPR077_ADDR,				/* No.77  å¤é¨ç«¯å­ IRQ13 */
-	ICU_IPR078_ADDR,				/* No.78  å¤é¨ç«¯å­ IRQ14 */
-	ICU_IPR079_ADDR,				/* No.79  å¤é¨ç«¯å­ IRQ15 */
-	NULL,							/* No.80  äºç´ */
-	NULL,							/* No.81  äºç´ */
-	NULL,							/* No.82  äºç´ */
-	NULL,							/* No.83  äºç´ */
-	NULL,							/* No.84  äºç´ */
-	NULL,							/* No.85  äºç´ */
-	NULL,							/* No.86  äºç´ */
-	NULL,							/* No.87  äºç´ */
-	NULL,							/* No.88  äºç´ */
-	NULL,							/* No.89  äºç´ */
+	NULL,							/* No.63  予約 */
+	ICU_IPR064_ADDR,				/* No.64  外部端子 IRQ0 */
+	ICU_IPR065_ADDR,				/* No.65  外部端子 IRQ1 */
+	ICU_IPR066_ADDR,				/* No.66  外部端子 IRQ2 */
+	ICU_IPR067_ADDR,				/* No.67  外部端子 IRQ3 */
+	ICU_IPR068_ADDR,				/* No.68  外部端子 IRQ4 */
+	ICU_IPR069_ADDR,				/* No.69  外部端子 IRQ5 */
+	ICU_IPR070_ADDR,				/* No.70  外部端子 IRQ6 */
+	ICU_IPR071_ADDR,				/* No.71  外部端子 IRQ7 */
+	ICU_IPR072_ADDR,				/* No.72  外部端子 IRQ8 */
+	ICU_IPR073_ADDR,				/* No.73  外部端子 IRQ9 */
+	ICU_IPR074_ADDR,				/* No.74  外部端子 IRQ10 */
+	ICU_IPR075_ADDR,				/* No.75  外部端子 IRQ11 */
+	ICU_IPR076_ADDR,				/* No.76  外部端子 IRQ12 */
+	ICU_IPR077_ADDR,				/* No.77  外部端子 IRQ13 */
+	ICU_IPR078_ADDR,				/* No.78  外部端子 IRQ14 */
+	ICU_IPR079_ADDR,				/* No.79  外部端子 IRQ15 */
+	NULL,							/* No.80  予約 */
+	NULL,							/* No.81  予約 */
+	NULL,							/* No.82  予約 */
+	NULL,							/* No.83  予約 */
+	NULL,							/* No.84  予約 */
+	NULL,							/* No.85  予約 */
+	NULL,							/* No.86  予約 */
+	NULL,							/* No.87  予約 */
+	NULL,							/* No.88  予約 */
+	NULL,							/* No.89  予約 */
 	ICU_IPR090_ADDR, 				/* No.90  USBR0 */
 	ICU_IPR091_ADDR, 				/* No.91  USBR1 */
 	ICU_IPR092_ADDR,				/* No.92  RTC ALM */
 	ICU_IPR093_ADDR,				/* No.93  RTC PRD */
-	NULL,							/* No.94  äºç´ */
-	NULL,							/* No.95  äºç´ */
-	NULL,							/* No.96  äºç´ */
-	NULL,							/* No.97  äºç´ */
+	NULL,							/* No.94  予約 */
+	NULL,							/* No.95  予約 */
+	NULL,							/* No.96  予約 */
+	NULL,							/* No.97  予約 */
 	ICU_IPR098_ADDR,				/* No.98  AD ADI0 */
-	NULL,							/* No.99  äºç´ */
-	NULL,							/* No.100  äºç´ */
-	NULL,							/* No.101  äºç´ */
+	NULL,							/* No.99  予約 */
+	NULL,							/* No.100  予約 */
+	NULL,							/* No.101  予約 */
 	ICU_IPR102_ADDR,				/* No.102 S12AD S12ADIO */
-	NULL,							/* No.103  äºç´ */
-	NULL,							/* No.104  äºç´ */
-	NULL,							/* No.105  äºç´ */
+	NULL,							/* No.103  予約 */
+	NULL,							/* No.104  予約 */
+	NULL,							/* No.105  予約 */
 	ICU_IPR106_ADDR,				/* No.106 ICU GROUP0 */
 	ICU_IPR107_ADDR,				/* No.107 ICU GROUP1 */
@@ -178,13 +163,13 @@
 	ICU_IPR111_ADDR,				/* No.111 ICU GROUP5 */
 	ICU_IPR112_ADDR,				/* No.112 ICU GROUP6 */
-	NULL,							/* No.113  äºç´ */
+	NULL,							/* No.113  予約 */
 	ICU_IPR114_ADDR,				/* No.114 ICU GROUP12 */
-	NULL,							/* No.115  äºç´ */
-	NULL,							/* No.116  äºç´ */
-	NULL,							/* No.117  äºç´ */
-	NULL,							/* No.118  äºç´ */
-	NULL,							/* No.119  äºç´ */
-	NULL,							/* No.120  äºç´ */
-	NULL,							/* No.121  äºç´ */
+	NULL,							/* No.115  予約 */
+	NULL,							/* No.116  予約 */
+	NULL,							/* No.117  予約 */
+	NULL,							/* No.118  予約 */
+	NULL,							/* No.119  予約 */
+	NULL,							/* No.120  予約 */
+	NULL,							/* No.121  予約 */
 	ICU_IPR122_ADDR,				/* No.122 SCI12 SCIX0 */
 	ICU_IPR123_ADDR,				/* No.123 SCI12 SCIX1 */
@@ -233,6 +218,6 @@
 	ICU_IPR167_ADDR,				/* No.166 POE OEI1 */
 	ICU_IPR167_ADDR,				/* No.167 POE OEI2 */
-	NULL,							/* No.168  äºç´ */
-	NULL,							/* No.169  äºç´ */
+	NULL,							/* No.168  予約 */
+	NULL,							/* No.169  予約 */
 	ICU_IPR170_ADDR,				/* No.170 TMR0 CMIA0 */
 	ICU_IPR170_ADDR,				/* No.171 TMR0 CMIB0 */
@@ -269,14 +254,14 @@
 	ICU_IPR202_ADDR,				/* No.202 EXDMAC EXDMACI0 */
 	ICU_IPR203_ADDR,				/* No.203 EXDMAC EXDMACI1 */
-	NULL,							/* No.204  äºç´ */
-	NULL,							/* No.205  äºç´ */
-	NULL,							/* No.206  äºç´ */
-	NULL,							/* No.207  äºç´ */
-	NULL,							/* No.208  äºç´ */
-	NULL,							/* No.209  äºç´ */
-	NULL,							/* No.210  äºç´ */
-	NULL,							/* No.211  äºç´ */
-	NULL,							/* No.212  äºç´ */
-	NULL,							/* No.213  äºç´ */
+	NULL,							/* No.204  予約 */
+	NULL,							/* No.205  予約 */
+	NULL,							/* No.206  予約 */
+	NULL,							/* No.207  予約 */
+	NULL,							/* No.208  予約 */
+	NULL,							/* No.209  予約 */
+	NULL,							/* No.210  予約 */
+	NULL,							/* No.211  予約 */
+	NULL,							/* No.212  予約 */
+	NULL,							/* No.213  予約 */
 	ICU_IPR214_ADDR,				/* No.214 SCI0 RXI0 */
 	ICU_IPR214_ADDR,				/* No.215 SCI0 TXI0 */
@@ -319,45 +304,45 @@
 	ICU_IPR250_ADDR,				/* No.252 SCI12 TEI12 */
 	ICU_IPR253_ADDR,				/* No.253 IEB IEBINT */
-	NULL,							/* No.254  äºç´ */
-	NULL,							/* No.255  äºç´ */
+	NULL,							/* No.254  予約 */
+	NULL,							/* No.255  予約 */
 };
 
 
 /*
- *  å²è¾¼ã¿è¦æ±è¨±å¯ã¬ã¸ã¹ã¿ã¢ãã¬ã¹ãã¼ãã«
+ *  割込み要求許可レジスタアドレステーブル
  */
 const IER_INFO ier_reg_addr[ INHNO_MAX ] = {
-	{ NULL, INVALID_OFFSET },			/* No.0   äºç´ */
-	{ NULL, INVALID_OFFSET },			/* No.1   äºç´ */
-	{ NULL, INVALID_OFFSET },			/* No.2   äºç´ */
-	{ NULL, INVALID_OFFSET },			/* No.3   äºç´ */
-	{ NULL, INVALID_OFFSET },			/* No.4   äºç´ */
-	{ NULL, INVALID_OFFSET },			/* No.5   äºç´ */
-	{ NULL, INVALID_OFFSET },			/* No.6   äºç´ */
-	{ NULL, INVALID_OFFSET },			/* No.7   äºç´ */
-	{ NULL, INVALID_OFFSET },			/* No.8   äºç´ */
-	{ NULL, INVALID_OFFSET },			/* No.9   äºç´ */
-	{ NULL, INVALID_OFFSET },			/* No.10  äºç´ */
-	{ NULL, INVALID_OFFSET },			/* No.11  äºç´ */
-	{ NULL, INVALID_OFFSET },			/* No.12  äºç´ */
-	{ NULL, INVALID_OFFSET },			/* No.13  äºç´ */
-	{ NULL, INVALID_OFFSET },			/* No.14  äºç´ */
-	{ NULL, INVALID_OFFSET },			/* No.15  äºç´ */
-	{ ICU_IER02_ADDR, ICU_IEN0_BIT },	/* No.16  ãã¹ã¨ã©ã¼ BUSERR */
-	{ NULL, INVALID_OFFSET },			/* No.17  äºç´ */
-	{ NULL, INVALID_OFFSET },			/* No.18  äºç´ */
-	{ NULL, INVALID_OFFSET },			/* No.19  äºç´ */
-	{ NULL, INVALID_OFFSET },			/* No.20  äºç´ */
+	{ NULL, INVALID_OFFSET },			/* No.0   予約 */
+	{ NULL, INVALID_OFFSET },			/* No.1   予約 */
+	{ NULL, INVALID_OFFSET },			/* No.2   予約 */
+	{ NULL, INVALID_OFFSET },			/* No.3   予約 */
+	{ NULL, INVALID_OFFSET },			/* No.4   予約 */
+	{ NULL, INVALID_OFFSET },			/* No.5   予約 */
+	{ NULL, INVALID_OFFSET },			/* No.6   予約 */
+	{ NULL, INVALID_OFFSET },			/* No.7   予約 */
+	{ NULL, INVALID_OFFSET },			/* No.8   予約 */
+	{ NULL, INVALID_OFFSET },			/* No.9   予約 */
+	{ NULL, INVALID_OFFSET },			/* No.10  予約 */
+	{ NULL, INVALID_OFFSET },			/* No.11  予約 */
+	{ NULL, INVALID_OFFSET },			/* No.12  予約 */
+	{ NULL, INVALID_OFFSET },			/* No.13  予約 */
+	{ NULL, INVALID_OFFSET },			/* No.14  予約 */
+	{ NULL, INVALID_OFFSET },			/* No.15  予約 */
+	{ ICU_IER02_ADDR, ICU_IEN0_BIT },	/* No.16  バスエラー BUSERR */
+	{ NULL, INVALID_OFFSET },			/* No.17  予約 */
+	{ NULL, INVALID_OFFSET },			/* No.18  予約 */
+	{ NULL, INVALID_OFFSET },			/* No.19  予約 */
+	{ NULL, INVALID_OFFSET },			/* No.20  予約 */
 	{ ICU_IER02_ADDR, ICU_IEN5_BIT },	/* No.21  FCU FIFERR */
-	{ NULL, INVALID_OFFSET },			/* No.22  äºç´ */
+	{ NULL, INVALID_OFFSET },			/* No.22  予約 */
 	{ ICU_IER02_ADDR, ICU_IEN7_BIT },	/* No.23  FCU FRDYI */
-	{ NULL, INVALID_OFFSET },			/* No.24  äºç´ */
-	{ NULL, INVALID_OFFSET },			/* No.25  äºç´ */
-	{ NULL, INVALID_OFFSET },			/* No.26  äºç´ */
+	{ NULL, INVALID_OFFSET },			/* No.24  予約 */
+	{ NULL, INVALID_OFFSET },			/* No.25  予約 */
+	{ NULL, INVALID_OFFSET },			/* No.26  予約 */
 	{ ICU_IER03_ADDR, ICU_IEN3_BIT },	/* No.27  SWINT */
-	{ ICU_IER03_ADDR, ICU_IEN4_BIT },	/* No.28  CMTã¦ããã0 CMT0 */
-	{ ICU_IER03_ADDR, ICU_IEN5_BIT },	/* No.29  CMTã¦ããã0 CMT1 */
-	{ ICU_IER03_ADDR, ICU_IEN6_BIT },	/* No.30  CMTã¦ããã1 CMT2 */
-	{ ICU_IER03_ADDR, ICU_IEN7_BIT },	/* No.31  CMTã¦ããã1 CMT3 */
+	{ ICU_IER03_ADDR, ICU_IEN4_BIT },	/* No.28  CMTユニット0 CMT0 */
+	{ ICU_IER03_ADDR, ICU_IEN5_BIT },	/* No.29  CMTユニット0 CMT1 */
+	{ ICU_IER03_ADDR, ICU_IEN6_BIT },	/* No.30  CMTユニット1 CMT2 */
+	{ ICU_IER03_ADDR, ICU_IEN7_BIT },	/* No.31  CMTユニット1 CMT3 */
 	{ ICU_IER04_ADDR, ICU_IEN0_BIT },	/* No.32  ETHER */
 	{ ICU_IER04_ADDR, ICU_IEN1_BIT },	/* No.33  USB0 D0FIFO0 */
@@ -388,50 +373,50 @@
 	{ ICU_IER07_ADDR, ICU_IEN2_BIT },	/* No.58  CAN2 RXM2 */
 	{ ICU_IER07_ADDR, ICU_IEN3_BIT },	/* No.59  CAN2 TXM2 */
-	{ NULL, INVALID_OFFSET },			/* No.60  äºç´ */
-	{ NULL, INVALID_OFFSET },			/* No.61  äºç´ */
+	{ NULL, INVALID_OFFSET },			/* No.60  予約 */
+	{ NULL, INVALID_OFFSET },			/* No.61  予約 */
 	{ ICU_IER07_ADDR, ICU_IEN6_BIT },	/* No.62  RTC PRD */
-	{ NULL, INVALID_OFFSET },			/* No.63  äºç´ */
-	{ ICU_IER08_ADDR, ICU_IEN0_BIT },	/* No.64  å¤é¨ç«¯å­ IRQ0 */
-	{ ICU_IER08_ADDR, ICU_IEN1_BIT },	/* No.65  å¤é¨ç«¯å­ IRQ1 */
-	{ ICU_IER08_ADDR, ICU_IEN2_BIT },	/* No.66  å¤é¨ç«¯å­ IRQ2 */
-	{ ICU_IER08_ADDR, ICU_IEN3_BIT },	/* No.67  å¤é¨ç«¯å­ IRQ3 */
-	{ ICU_IER08_ADDR, ICU_IEN4_BIT },	/* No.68  å¤é¨ç«¯å­ IRQ4 */
-	{ ICU_IER08_ADDR, ICU_IEN5_BIT },	/* No.69  å¤é¨ç«¯å­ IRQ5 */
-	{ ICU_IER08_ADDR, ICU_IEN6_BIT },	/* No.70  å¤é¨ç«¯å­ IRQ6 */
-	{ ICU_IER08_ADDR, ICU_IEN7_BIT },	/* No.71  å¤é¨ç«¯å­ IRQ7 */
-	{ ICU_IER09_ADDR, ICU_IEN0_BIT },	/* No.72  å¤é¨ç«¯å­ IRQ8 */
-	{ ICU_IER09_ADDR, ICU_IEN1_BIT },	/* No.73  å¤é¨ç«¯å­ IRQ9 */
-	{ ICU_IER09_ADDR, ICU_IEN2_BIT },	/* No.74  å¤é¨ç«¯å­ IRQ10 */
-	{ ICU_IER09_ADDR, ICU_IEN3_BIT },	/* No.75  å¤é¨ç«¯å­ IRQ11 */
-	{ ICU_IER09_ADDR, ICU_IEN4_BIT },	/* No.76  å¤é¨ç«¯å­ IRQ12 */
-	{ ICU_IER09_ADDR, ICU_IEN5_BIT },	/* No.77  å¤é¨ç«¯å­ IRQ13 */
-	{ ICU_IER09_ADDR, ICU_IEN6_BIT },	/* No.78  å¤é¨ç«¯å­ IRQ14 */
-	{ ICU_IER09_ADDR, ICU_IEN7_BIT },	/* No.79  å¤é¨ç«¯å­ IRQ15 */
-	{ NULL, INVALID_OFFSET },			/* No.80  äºç´ */
-	{ NULL, INVALID_OFFSET },			/* No.81  äºç´ */
-	{ NULL, INVALID_OFFSET },			/* No.82  äºç´ */
-	{ NULL, INVALID_OFFSET },			/* No.83  äºç´ */
-	{ NULL, INVALID_OFFSET },			/* No.84  äºç´ */
-	{ NULL, INVALID_OFFSET },			/* No.85  äºç´ */
-	{ NULL, INVALID_OFFSET },			/* No.86  äºç´ */
-	{ NULL, INVALID_OFFSET },			/* No.87  äºç´ */
-	{ NULL, INVALID_OFFSET },			/* No.88  äºç´ */
-	{ NULL, INVALID_OFFSET },			/* No.89  äºç´ */
+	{ NULL, INVALID_OFFSET },			/* No.63  予約 */
+	{ ICU_IER08_ADDR, ICU_IEN0_BIT },	/* No.64  外部端子 IRQ0 */
+	{ ICU_IER08_ADDR, ICU_IEN1_BIT },	/* No.65  外部端子 IRQ1 */
+	{ ICU_IER08_ADDR, ICU_IEN2_BIT },	/* No.66  外部端子 IRQ2 */
+	{ ICU_IER08_ADDR, ICU_IEN3_BIT },	/* No.67  外部端子 IRQ3 */
+	{ ICU_IER08_ADDR, ICU_IEN4_BIT },	/* No.68  外部端子 IRQ4 */
+	{ ICU_IER08_ADDR, ICU_IEN5_BIT },	/* No.69  外部端子 IRQ5 */
+	{ ICU_IER08_ADDR, ICU_IEN6_BIT },	/* No.70  外部端子 IRQ6 */
+	{ ICU_IER08_ADDR, ICU_IEN7_BIT },	/* No.71  外部端子 IRQ7 */
+	{ ICU_IER09_ADDR, ICU_IEN0_BIT },	/* No.72  外部端子 IRQ8 */
+	{ ICU_IER09_ADDR, ICU_IEN1_BIT },	/* No.73  外部端子 IRQ9 */
+	{ ICU_IER09_ADDR, ICU_IEN2_BIT },	/* No.74  外部端子 IRQ10 */
+	{ ICU_IER09_ADDR, ICU_IEN3_BIT },	/* No.75  外部端子 IRQ11 */
+	{ ICU_IER09_ADDR, ICU_IEN4_BIT },	/* No.76  外部端子 IRQ12 */
+	{ ICU_IER09_ADDR, ICU_IEN5_BIT },	/* No.77  外部端子 IRQ13 */
+	{ ICU_IER09_ADDR, ICU_IEN6_BIT },	/* No.78  外部端子 IRQ14 */
+	{ ICU_IER09_ADDR, ICU_IEN7_BIT },	/* No.79  外部端子 IRQ15 */
+	{ NULL, INVALID_OFFSET },			/* No.80  予約 */
+	{ NULL, INVALID_OFFSET },			/* No.81  予約 */
+	{ NULL, INVALID_OFFSET },			/* No.82  予約 */
+	{ NULL, INVALID_OFFSET },			/* No.83  予約 */
+	{ NULL, INVALID_OFFSET },			/* No.84  予約 */
+	{ NULL, INVALID_OFFSET },			/* No.85  予約 */
+	{ NULL, INVALID_OFFSET },			/* No.86  予約 */
+	{ NULL, INVALID_OFFSET },			/* No.87  予約 */
+	{ NULL, INVALID_OFFSET },			/* No.88  予約 */
+	{ NULL, INVALID_OFFSET },			/* No.89  予約 */
 	{ ICU_IER0B_ADDR, ICU_IEN2_BIT },	/* No.90  USBR0 */
 	{ ICU_IER0B_ADDR, ICU_IEN3_BIT },	/* No.91  USBR1 */
 	{ ICU_IER0B_ADDR, ICU_IEN4_BIT },	/* No.92  RTC ALM */
 	{ ICU_IER0B_ADDR, ICU_IEN5_BIT },	/* No.92  RTC PRD */
-	{ NULL, INVALID_OFFSET },			/* No.94  äºç´ */
-	{ NULL, INVALID_OFFSET },			/* No.95  äºç´ */
-	{ NULL, INVALID_OFFSET },			/* No.96  äºç´ */
-	{ NULL, INVALID_OFFSET },			/* No.97  äºç´ */
+	{ NULL, INVALID_OFFSET },			/* No.94  予約 */
+	{ NULL, INVALID_OFFSET },			/* No.95  予約 */
+	{ NULL, INVALID_OFFSET },			/* No.96  予約 */
+	{ NULL, INVALID_OFFSET },			/* No.97  予約 */
 	{ ICU_IER0C_ADDR, ICU_IEN2_BIT },	/* No.98  AD0 ADI0 */
-	{ NULL, INVALID_OFFSET },			/* No.99  äºç´ */
-	{ NULL, INVALID_OFFSET },			/* No.100 äºç´ */
-	{ NULL, INVALID_OFFSET },			/* No.101 äºç´ */
+	{ NULL, INVALID_OFFSET },			/* No.99  予約 */
+	{ NULL, INVALID_OFFSET },			/* No.100 予約 */
+	{ NULL, INVALID_OFFSET },			/* No.101 予約 */
 	{ ICU_IER0C_ADDR, ICU_IEN6_BIT },	/* No.102 S12AD S12ADI00 */
-	{ NULL, INVALID_OFFSET },			/* No.103 äºç´ */
-	{ NULL, INVALID_OFFSET },			/* No.104 äºç´ */
-	{ NULL, INVALID_OFFSET },			/* No.105 äºç´ */
+	{ NULL, INVALID_OFFSET },			/* No.103 予約 */
+	{ NULL, INVALID_OFFSET },			/* No.104 予約 */
+	{ NULL, INVALID_OFFSET },			/* No.105 予約 */
 	{ ICU_IER0D_ADDR, ICU_IEN2_BIT },	/* No.106 ICU GROUP0 */
 	{ ICU_IER0D_ADDR, ICU_IEN3_BIT },	/* No.107 ICU GROUP1 */
@@ -441,13 +426,13 @@
 	{ ICU_IER0D_ADDR, ICU_IEN7_BIT },	/* No.111 ICU GROUP5 */
 	{ ICU_IER0E_ADDR, ICU_IEN0_BIT },	/* No.112 ICU GROUP6 */
-	{ NULL, INVALID_OFFSET },			/* No.113 äºç´ */
+	{ NULL, INVALID_OFFSET },			/* No.113 予約 */
 	{ ICU_IER0E_ADDR, ICU_IEN1_BIT },	/* No.114 ICU GROUP12 */
-	{ NULL, INVALID_OFFSET },			/* No.115 äºç´ */
-	{ NULL, INVALID_OFFSET },			/* No.116 äºç´ */
-	{ NULL, INVALID_OFFSET },			/* No.117 äºç´ */
-	{ NULL, INVALID_OFFSET },			/* No.118 äºç´ */
-	{ NULL, INVALID_OFFSET },			/* No.119 äºç´ */
-	{ NULL, INVALID_OFFSET },			/* No.120 äºç´ */
-	{ NULL, INVALID_OFFSET },			/* No.121 äºç´ */
+	{ NULL, INVALID_OFFSET },			/* No.115 予約 */
+	{ NULL, INVALID_OFFSET },			/* No.116 予約 */
+	{ NULL, INVALID_OFFSET },			/* No.117 予約 */
+	{ NULL, INVALID_OFFSET },			/* No.118 予約 */
+	{ NULL, INVALID_OFFSET },			/* No.119 予約 */
+	{ NULL, INVALID_OFFSET },			/* No.120 予約 */
+	{ NULL, INVALID_OFFSET },			/* No.121 予約 */
 	{ ICU_IER0F_ADDR, ICU_IEN2_BIT },	/* No.122 SCI12 SCIX0 */
 	{ ICU_IER0F_ADDR, ICU_IEN3_BIT },	/* No.123 SCI12 SCIX1 */
@@ -496,6 +481,6 @@
 	{ ICU_IER14_ADDR, ICU_IEN6_BIT },	/* No.166 POE OEI1 */
 	{ ICU_IER14_ADDR, ICU_IEN7_BIT },	/* No.167 POE OEI2 */
-	{ NULL, INVALID_OFFSET },			/* No.168 äºç´ */
-	{ NULL, INVALID_OFFSET },			/* No.169 äºç´ */
+	{ NULL, INVALID_OFFSET },			/* No.168 予約 */
+	{ NULL, INVALID_OFFSET },			/* No.169 予約 */
 	{ ICU_IER15_ADDR, ICU_IEN2_BIT },	/* No.170 TMR0 CMIA0 */
 	{ ICU_IER15_ADDR, ICU_IEN3_BIT },	/* No.171 TMR0 CMIB0 */
@@ -532,14 +517,14 @@
 	{ ICU_IER19_ADDR, ICU_IEN2_BIT },	/* No.202 EXDMAC EXDMAC0I */
 	{ ICU_IER19_ADDR, ICU_IEN3_BIT },	/* No.203 EXDMAC EXDMAC1I */
-	{ NULL, INVALID_OFFSET },			/* No.204 äºç´ */
-	{ NULL, INVALID_OFFSET },			/* No.205 äºç´ */
-	{ NULL, INVALID_OFFSET },			/* No.206 äºç´ */
-	{ NULL, INVALID_OFFSET },			/* No.207 äºç´ */
-	{ NULL, INVALID_OFFSET },			/* No.208 äºç´ */
-	{ NULL, INVALID_OFFSET },			/* No.209 äºç´ */
-	{ NULL, INVALID_OFFSET },			/* No.210 äºç´ */
-	{ NULL, INVALID_OFFSET },			/* No.211 äºç´ */
-	{ NULL, INVALID_OFFSET },			/* No.212 äºç´ */
-	{ NULL, INVALID_OFFSET },			/* No.213 äºç´ */
+	{ NULL, INVALID_OFFSET },			/* No.204 予約 */
+	{ NULL, INVALID_OFFSET },			/* No.205 予約 */
+	{ NULL, INVALID_OFFSET },			/* No.206 予約 */
+	{ NULL, INVALID_OFFSET },			/* No.207 予約 */
+	{ NULL, INVALID_OFFSET },			/* No.208 予約 */
+	{ NULL, INVALID_OFFSET },			/* No.209 予約 */
+	{ NULL, INVALID_OFFSET },			/* No.210 予約 */
+	{ NULL, INVALID_OFFSET },			/* No.211 予約 */
+	{ NULL, INVALID_OFFSET },			/* No.212 予約 */
+	{ NULL, INVALID_OFFSET },			/* No.213 予約 */
 	{ ICU_IER1A_ADDR, ICU_IEN6_BIT },	/* No.214 SCI0 RXI0 */
 	{ ICU_IER1A_ADDR, ICU_IEN7_BIT },	/* No.215 SCI0 TXI0 */
@@ -582,11 +567,11 @@
 	{ ICU_IER1F_ADDR, ICU_IEN4_BIT },	/* No.252 SCI12 TEI12 */
 	{ ICU_IER1F_ADDR, ICU_IEN5_BIT },	/* No.253 IEB IEBINT */
-	{ NULL, INVALID_OFFSET },			/* No.254 äºç´ */
-	{ NULL, INVALID_OFFSET },			/* No.255 äºç´ */
+	{ NULL, INVALID_OFFSET },			/* No.254 予約 */
+	{ NULL, INVALID_OFFSET },			/* No.255 予約 */
 };
 
 
 /*
- *  IRQã³ã³ãã­ã¼ã«ã¬ã¸ã¹ã¿ã¢ãã¬ã¹ãã¼ãã«
+ *  IRQコントロールレジスタアドレステーブル
  */
 volatile uint8_t __evenaccess * const irqcr_reg_addr[ IRQ_MAX ] = {
Index: asp3_gr_sakura/trunk/arch/rx630_gcc/rx630_kernel_impl.h
===================================================================
--- asp3_gr_sakura/trunk/arch/rx630_gcc/rx630_kernel_impl.h	(revision 317)
+++ asp3_gr_sakura/trunk/arch/rx630_gcc/rx630_kernel_impl.h	(revision 318)
@@ -7,47 +7,32 @@
  *  Copyright (C) 2013      by Mitsuhiro Matsuura
  * 
- *  ä¸è¨èä½æ¨©è
-ã¯ï¼ä»¥ä¸ã®(1)ï½(4)ã®æ¡ä»¶ãæºããå ´åã«éãï¼æ¬ã½ããã¦ã§
- *  ã¢ï¼æ¬ã½ããã¦ã§ã¢ãæ¹å¤ãããã®ãå«ãï¼ä»¥ä¸åãï¼ãä½¿ç¨ã»è¤è£½ã»æ¹
- *  å¤ã»åé
-å¸ï¼ä»¥ä¸ï¼å©ç¨ã¨å¼ã¶ï¼ãããã¨ãç¡åã§è¨±è«¾ããï¼
- *  (1) æ¬ã½ããã¦ã§ã¢ãã½ã¼ã¹ã³ã¼ãã®å½¢ã§å©ç¨ããå ´åã«ã¯ï¼ä¸è¨ã®èä½
- *      æ¨©è¡¨ç¤ºï¼ãã®å©ç¨æ¡ä»¶ããã³ä¸è¨ã®ç¡ä¿è¨¼è¦å®ãï¼ãã®ã¾ã¾ã®å½¢ã§ã½ã¼
- *      ã¹ã³ã¼ãä¸­ã«å«ã¾ãã¦ãããã¨ï¼
- *  (2) æ¬ã½ããã¦ã§ã¢ãï¼ã©ã¤ãã©ãªå½¢å¼ãªã©ï¼ä»ã®ã½ããã¦ã§ã¢éçºã«ä½¿
- *      ç¨ã§ããå½¢ã§åé
-å¸ããå ´åã«ã¯ï¼åé
-å¸ã«ä¼´ããã­ã¥ã¡ã³ãï¼å©ç¨
- *      è
-ããã¥ã¢ã«ãªã©ï¼ã«ï¼ä¸è¨ã®èä½æ¨©è¡¨ç¤ºï¼ãã®å©ç¨æ¡ä»¶ããã³ä¸è¨
- *      ã®ç¡ä¿è¨¼è¦å®ãæ²è¼ãããã¨ï¼
- *  (3) æ¬ã½ããã¦ã§ã¢ãï¼æ©å¨ã«çµã¿è¾¼ããªã©ï¼ä»ã®ã½ããã¦ã§ã¢éçºã«ä½¿
- *      ç¨ã§ããªãå½¢ã§åé
-å¸ããå ´åã«ã¯ï¼æ¬¡ã®ããããã®æ¡ä»¶ãæºããã
- *      ã¨ï¼
- *    (a) åé
-å¸ã«ä¼´ããã­ã¥ã¡ã³ãï¼å©ç¨è
-ããã¥ã¢ã«ãªã©ï¼ã«ï¼ä¸è¨ã®è
- *        ä½æ¨©è¡¨ç¤ºï¼ãã®å©ç¨æ¡ä»¶ããã³ä¸è¨ã®ç¡ä¿è¨¼è¦å®ãæ²è¼ãããã¨ï¼
- *    (b) åé
-å¸ã®å½¢æ
-ãï¼å¥ã«å®ããæ¹æ³ã«ãã£ã¦ï¼TOPPERSãã­ã¸ã§ã¯ãã«
- *        å ±åãããã¨ï¼
- *  (4) æ¬ã½ããã¦ã§ã¢ã®å©ç¨ã«ããç´æ¥çã¾ãã¯éæ¥çã«çãããããªãæ
- *      å®³ãããï¼ä¸è¨èä½æ¨©è
-ããã³TOPPERSãã­ã¸ã§ã¯ããå
-è²¬ãããã¨ï¼
- *      ã¾ãï¼æ¬ã½ããã¦ã§ã¢ã®ã¦ã¼ã¶ã¾ãã¯ã¨ã³ãã¦ã¼ã¶ããã®ãããªãç
- *      ç±ã«åºã¥ãè«æ±ãããï¼ä¸è¨èä½æ¨©è
-ããã³TOPPERSãã­ã¸ã§ã¯ãã
- *      å
-è²¬ãããã¨ï¼
+ *  上記著作権者は，以下の(1)～(4)の条件を満たす場合に限り，本ソフトウェ
+ *  ア（本ソフトウェアを改変したものを含む．以下同じ）を使用・複製・改
+ *  変・再配布（以下，利用と呼ぶ）することを無償で許諾する．
+ *  (1) 本ソフトウェアをソースコードの形で利用する場合には，上記の著作
+ *      権表示，この利用条件および下記の無保証規定が，そのままの形でソー
+ *      スコード中に含まれていること．
+ *  (2) 本ソフトウェアを，ライブラリ形式など，他のソフトウェア開発に使
+ *      用できる形で再配布する場合には，再配布に伴うドキュメント（利用
+ *      者マニュアルなど）に，上記の著作権表示，この利用条件および下記
+ *      の無保証規定を掲載すること．
+ *  (3) 本ソフトウェアを，機器に組み込むなど，他のソフトウェア開発に使
+ *      用できない形で再配布する場合には，次のいずれかの条件を満たすこ
+ *      と．
+ *    (a) 再配布に伴うドキュメント（利用者マニュアルなど）に，上記の著
+ *        作権表示，この利用条件および下記の無保証規定を掲載すること．
+ *    (b) 再配布の形態を，別に定める方法によって，TOPPERSプロジェクトに
+ *        報告すること．
+ *  (4) 本ソフトウェアの利用により直接的または間接的に生じるいかなる損
+ *      害からも，上記著作権者およびTOPPERSプロジェクトを免責すること．
+ *      また，本ソフトウェアのユーザまたはエンドユーザからのいかなる理
+ *      由に基づく請求からも，上記著作権者およびTOPPERSプロジェクトを
+ *      免責すること．
  * 
- *  æ¬ã½ããã¦ã§ã¢ã¯ï¼ç¡ä¿è¨¼ã§æä¾ããã¦ãããã®ã§ããï¼ä¸è¨èä½æ¨©è
-ã
- *  ãã³TOPPERSãã­ã¸ã§ã¯ãã¯ï¼æ¬ã½ããã¦ã§ã¢ã«é¢ãã¦ï¼ç¹å®ã®ä½¿ç¨ç®ç
- *  ã«å¯¾ããé©åæ§ãå«ãã¦ï¼ãããªãä¿è¨¼ãè¡ããªãï¼ã¾ãï¼æ¬ã½ããã¦ã§
- *  ã¢ã®å©ç¨ã«ããç´æ¥çã¾ãã¯éæ¥çã«çãããããªãæå®³ã«é¢ãã¦ãï¼ã
- *  ã®è²¬ä»»ãè² ããªãï¼
+ *  本ソフトウェアは，無保証で提供されているものである．上記著作権者お
+ *  よびTOPPERSプロジェクトは，本ソフトウェアに関して，特定の使用目的
+ *  に対する適合性も含めて，いかなる保証も行わない．また，本ソフトウェ
+ *  アの利用により直接的または間接的に生じたいかなる損害に関しても，そ
+ *  の責任を負わない．
  * 
  *  @(#) $Id$
@@ -55,9 +40,9 @@
 
 /*
- *		ãã­ã»ããµä¾å­ã¢ã¸ã¥ã¼ã«ï¼RX630ç¨ï¼
+ *		プロセッサ依存モジュール（RX630用）
  *
- *  ãã®ã¤ã³ã¯ã«ã¼ããã¡ã¤ã«ã¯ï¼target_kernel_impl.hï¼ã¾ãã¯ï¼ããããã¤ã³ã¯
- *  ã«ã¼ãããããã¡ã¤ã«ï¼ã®ã¿ããã¤ã³ã¯ã«ã¼ããããï¼ä»ã®ãã¡ã¤ã«ãã
- *  ç´æ¥ã¤ã³ã¯ã«ã¼ããã¦ã¯ãªããªãï¼
+ *  このインクルードファイルは，target_kernel_impl.h（または，そこからインク
+ *  ルードされるファイル）のみからインクルードされる．他のファイルから
+ *  直接インクルードしてはならない．
  */
 
@@ -68,5 +53,5 @@
 
 /*
- *  å²è¾¼ã¿è¦å æ°
+ *  割込み要因数
  */
 #define	INHNO_MAX	UINT_C( 256 )
@@ -75,5 +60,5 @@
 
 /*
- *  å²è¾¼ã¿å¶å¾¡ç¨åå®ç¾©
+ *  割込み制御用型定義
  */
 typedef struct ier_info {
@@ -85,5 +70,5 @@
 
 /*
- *  å²è¾¼ã¿å¶å¾¡ç¨å®ç¾©
+ *  割込み制御用定義
  */
 #define	INVALID_OFFSET				( 0xFFU )
@@ -98,14 +83,14 @@
 
 /*
- *  å²è¾¼ã¿å¶å¾¡ç¨ãã¼ãã«
+ *  割込み制御用テーブル
  */
 
-/* å²è¾¼ã¿è¦å ãã©ã¤ãªãªãã£ã¬ã¸ã¹ã¿ã¢ãã¬ã¹ */
+/* 割込み要因プライオリティレジスタアドレス */
 extern volatile uint8_t __evenaccess * const ipr_reg_addr[];
-/* å²è¾¼ã¿è¦æ±è¨±å¯ã¬ã¸ã¹ã¿ã¢ãã¬ã¹ */
+/* 割込み要求許可レジスタアドレス */
 extern const IER_INFO ier_reg_addr[];
-/* å²è¾¼ã¿è¦æ±ã¬ã¸ã¹ã¿ã¢ãã¬ã¹ */
+/* 割込み要求レジスタアドレス */
 extern volatile uint8_t __evenaccess * const ir_reg_addr[];
-/* IRQã³ã³ãã­ã¼ã«ã¬ã¸ã¹ã¿ã¢ãã¬ã¹ */
+/* IRQコントロールレジスタアドレス */
 extern volatile uint8_t __evenaccess * const irqcr_reg_addr[];
 
@@ -113,5 +98,5 @@
 
 /*
- *  ãã­ã»ããµä¾å­ã¢ã¸ã¥ã¼ã«ï¼RX630ç¨ï¼
+ *  プロセッサ依存モジュール（RX630用）
  */
 #include "prc_kernel_impl.h"
Index: asp3_gr_sakura/trunk/arch/rx630_gcc/scif.h
===================================================================
--- asp3_gr_sakura/trunk/arch/rx630_gcc/scif.h	(revision 317)
+++ asp3_gr_sakura/trunk/arch/rx630_gcc/scif.h	(revision 318)
@@ -10,47 +10,32 @@
  *  Copyright (C) 2017      by Cores Co., Ltd. Japan
  *
- *  ä¸è¨èä½æ¨©è
-ã¯ï¼ä»¥ä¸ã®(1)ï½(4)ã®æ¡ä»¶ãæºããå ´åã«éãï¼æ¬ã½ããã¦ã§
- *  ã¢ï¼æ¬ã½ããã¦ã§ã¢ãæ¹å¤ãããã®ãå«ãï¼ä»¥ä¸åãï¼ãä½¿ç¨ã»è¤è£½ã»æ¹
- *  å¤ã»åé
-å¸ï¼ä»¥ä¸ï¼å©ç¨ã¨å¼ã¶ï¼ãããã¨ãç¡åã§è¨±è«¾ããï¼
- *  (1) æ¬ã½ããã¦ã§ã¢ãã½ã¼ã¹ã³ã¼ãã®å½¢ã§å©ç¨ããå ´åã«ã¯ï¼ä¸è¨ã®èä½
- *      æ¨©è¡¨ç¤ºï¼ãã®å©ç¨æ¡ä»¶ããã³ä¸è¨ã®ç¡ä¿è¨¼è¦å®ãï¼ãã®ã¾ã¾ã®å½¢ã§ã½ã¼
- *      ã¹ã³ã¼ãä¸­ã«å«ã¾ãã¦ãããã¨ï¼
- *  (2) æ¬ã½ããã¦ã§ã¢ãï¼ã©ã¤ãã©ãªå½¢å¼ãªã©ï¼ä»ã®ã½ããã¦ã§ã¢éçºã«ä½¿
- *      ç¨ã§ããå½¢ã§åé
-å¸ããå ´åã«ã¯ï¼åé
-å¸ã«ä¼´ããã­ã¥ã¡ã³ãï¼å©ç¨
- *      è
-ããã¥ã¢ã«ãªã©ï¼ã«ï¼ä¸è¨ã®èä½æ¨©è¡¨ç¤ºï¼ãã®å©ç¨æ¡ä»¶ããã³ä¸è¨
- *      ã®ç¡ä¿è¨¼è¦å®ãæ²è¼ãããã¨ï¼
- *  (3) æ¬ã½ããã¦ã§ã¢ãï¼æ©å¨ã«çµã¿è¾¼ããªã©ï¼ä»ã®ã½ããã¦ã§ã¢éçºã«ä½¿
- *      ç¨ã§ããªãå½¢ã§åé
-å¸ããå ´åã«ã¯ï¼æ¬¡ã®ããããã®æ¡ä»¶ãæºããã
- *      ã¨ï¼
- *    (a) åé
-å¸ã«ä¼´ããã­ã¥ã¡ã³ãï¼å©ç¨è
-ããã¥ã¢ã«ãªã©ï¼ã«ï¼ä¸è¨ã®è
- *        ä½æ¨©è¡¨ç¤ºï¼ãã®å©ç¨æ¡ä»¶ããã³ä¸è¨ã®ç¡ä¿è¨¼è¦å®ãæ²è¼ãããã¨ï¼
- *    (b) åé
-å¸ã®å½¢æ
-ãï¼å¥ã«å®ããæ¹æ³ã«ãã£ã¦ï¼TOPPERSãã­ã¸ã§ã¯ãã«
- *        å ±åãããã¨ï¼
- *  (4) æ¬ã½ããã¦ã§ã¢ã®å©ç¨ã«ããç´æ¥çã¾ãã¯éæ¥çã«çãããããªãæ
- *      å®³ãããï¼ä¸è¨èä½æ¨©è
-ããã³TOPPERSãã­ã¸ã§ã¯ããå
-è²¬ãããã¨ï¼
- *      ã¾ãï¼æ¬ã½ããã¦ã§ã¢ã®ã¦ã¼ã¶ã¾ãã¯ã¨ã³ãã¦ã¼ã¶ããã®ãããªãç
- *      ç±ã«åºã¥ãè«æ±ãããï¼ä¸è¨èä½æ¨©è
-ããã³TOPPERSãã­ã¸ã§ã¯ãã
- *      å
-è²¬ãããã¨ï¼
+ *  上記著作権者は，以下の(1)～(4)の条件を満たす場合に限り，本ソフトウェ
+ *  ア（本ソフトウェアを改変したものを含む．以下同じ）を使用・複製・改
+ *  変・再配布（以下，利用と呼ぶ）することを無償で許諾する．
+ *  (1) 本ソフトウェアをソースコードの形で利用する場合には，上記の著作
+ *      権表示，この利用条件および下記の無保証規定が，そのままの形でソー
+ *      スコード中に含まれていること．
+ *  (2) 本ソフトウェアを，ライブラリ形式など，他のソフトウェア開発に使
+ *      用できる形で再配布する場合には，再配布に伴うドキュメント（利用
+ *      者マニュアルなど）に，上記の著作権表示，この利用条件および下記
+ *      の無保証規定を掲載すること．
+ *  (3) 本ソフトウェアを，機器に組み込むなど，他のソフトウェア開発に使
+ *      用できない形で再配布する場合には，次のいずれかの条件を満たすこ
+ *      と．
+ *    (a) 再配布に伴うドキュメント（利用者マニュアルなど）に，上記の著
+ *        作権表示，この利用条件および下記の無保証規定を掲載すること．
+ *    (b) 再配布の形態を，別に定める方法によって，TOPPERSプロジェクトに
+ *        報告すること．
+ *  (4) 本ソフトウェアの利用により直接的または間接的に生じるいかなる損
+ *      害からも，上記著作権者およびTOPPERSプロジェクトを免責すること．
+ *      また，本ソフトウェアのユーザまたはエンドユーザからのいかなる理
+ *      由に基づく請求からも，上記著作権者およびTOPPERSプロジェクトを
+ *      免責すること．
  *
- *  æ¬ã½ããã¦ã§ã¢ã¯ï¼ç¡ä¿è¨¼ã§æä¾ããã¦ãããã®ã§ããï¼ä¸è¨èä½æ¨©è
-ã
- *  ãã³TOPPERSãã­ã¸ã§ã¯ãã¯ï¼æ¬ã½ããã¦ã§ã¢ã«é¢ãã¦ï¼ç¹å®ã®ä½¿ç¨ç®ç
- *  ã«å¯¾ããé©åæ§ãå«ãã¦ï¼ãããªãä¿è¨¼ãè¡ããªãï¼ã¾ãï¼æ¬ã½ããã¦ã§
- *  ã¢ã®å©ç¨ã«ããç´æ¥çã¾ãã¯éæ¥çã«çãããããªãæå®³ã«é¢ãã¦ãï¼ã
- *  ã®è²¬ä»»ãè² ããªãï¼
+ *  本ソフトウェアは，無保証で提供されているものである．上記著作権者お
+ *  よびTOPPERSプロジェクトは，本ソフトウェアに関して，特定の使用目的
+ *  に対する適合性も含めて，いかなる保証も行わない．また，本ソフトウェ
+ *  アの利用により直接的または間接的に生じたいかなる損害に関しても，そ
+ *  の責任を負わない．
  *
  *  $Id$
@@ -58,6 +43,5 @@
 
 /*
- *		FIFOå
-èµã·ãªã¢ã«ã³ãã¥ãã±ã¼ã·ã§ã³ã¤ã³ã¿ãã§ã¼ã¹ã«é¢ããå®ç¾©
+ *		FIFO内蔵シリアルコミュニケーションインタフェースに関する定義
  */
 
@@ -66,5 +50,5 @@
 
 /*
- *  SCIã¬ã¸ã¹ã¿ã®ãã¼ã¹çªå°ã®å®ç¾©
+ *  SCIレジスタのベース番地の定義
  */
 #define SCI0_BASE	((uint32_t)(SCI0_SMR_ADDR))
@@ -76,9 +60,9 @@
 #define SCI6_BASE	((uint32_t)(SCI6_SMR_ADDR))
 
-/* ã¢ã¸ã¥ã¼ã«ã¹ãããã³ã³ãã­ã¼ã«ã¬ã¸ã¹ã¿B bit */
+/* モジュールストップコントロールレジスタB bit */
 #define SCI_NUM(base)	((base - SCI0_BASE) / 0x20)
 #define SCI_MSTPCRB_BIT(base)	(1 << (31 - SCI_NUM(base)))
 
-/* æå®å¯è½ãªã¯ã­ãã¯ã½ã¼ã¹ */
+/* 指定可能なクロックソース */
 #define CLK_F1	UINT_C(0x00)
 #define CLK_F4	UINT_C(0x01)
@@ -86,5 +70,5 @@
 #define CLK_F64	UINT_C(0x03)
 
-/* ã·ãªã¢ã«ã¢ã¼ãã¬ã¸ã¹ã¿ï¼SMR) */
+/* シリアルモードレジスタ（SMR) */
 #define CKS			UINT_C(0x03)
 #define STOP		UINT_C(0x08)
@@ -96,5 +80,5 @@
 #define ASYNC_8BIT	UINT_C(0x40)
 
-/* ã·ãªã¢ã«ã³ã³ãã­ã¼ã«ã¬ã¸ã¹ã¿ï¼SCR) */
+/* シリアルコントロールレジスタ（SCR) */
 #define CKE			UINT_C(0x03)
 #define TEIE		UINT_C(0x04)
@@ -104,5 +88,5 @@
 #define TIE			UINT_C(0x80)
 
-/* ã·ãªã¢ã«ã¹ãã¼ã¿ã¹ã¬ã¸ã¹ã¿ï¼SSRï¼ */
+/* シリアルステータスレジスタ（SSR） */
 #define TEND		UINT_C(0x04)
 #define PER			UINT_C(0x08)
@@ -110,5 +94,5 @@
 #define ORER		UINT_C(0x20)
 
-/* ã·ãªã¢ã«æ¡å¼µã¢ã¼ãã¬ã¸ã¹ã¿ï¼SEMR) */
+/* シリアル拡張モードレジスタ（SEMR) */
 #define ACS0		UINT_C(0x01)
 #define ABCS		UINT_C(0x10)
@@ -118,5 +102,5 @@
 
 /*
- *  SCIã¬ã¸ã¹ã¿ã®çªå°ã®å®ç¾©
+ *  SCIレジスタの番地の定義
  */
 #define SCI_SMR(base)		((uint8_t *)(base + 0x00U))
@@ -133,8 +117,8 @@
 
 /*
- *  ã³ã¼ã«ããã¯ã«ã¼ãã³ã®è­å¥çªå·
+ *  コールバックルーチンの識別番号
  */
-#define SIO_RDY_SND    (1U)        /* éä¿¡å¯è½ã³ã¼ã«ããã¯ */
-#define SIO_RDY_RCV    (2U)        /* åä¿¡éç¥ã³ã¼ã«ããã¯ */
+#define SIO_RDY_SND    (1U)        /* 送信可能コールバック */
+#define SIO_RDY_RCV    (2U)        /* 受信通知コールバック */
 
 #endif /* TOPPERS_MACRO_ONLY */
